searchData={"items":[{"type":"module","title":"Log.Reset","doc":"Resets configured log files.","ref":"Log.Reset.html"},{"type":"function","title":"Log.Reset.log_paths/0","doc":"Returns a map of configured log paths.","ref":"Log.Reset.html#log_paths/0"},{"type":"function","title":"Examples - Log.Reset.log_paths/0","doc":"iex> alias Log.Reset\n    iex> Reset.log_paths()\n    # Listed alphabetically...\n    %{\n      debug: ~c\"./log/debug.log\",\n      error: ~c\"./log/error.log\",\n      info: ~c\"./log/info.log\",\n      warning: ~c\"./log/warning.log\"\n    }","ref":"Log.Reset.html#log_paths/0-examples"},{"type":"function","title":"Log.Reset.refresh_log_paths/0","doc":"Refreshes the map of configured log paths from the application environment.","ref":"Log.Reset.html#refresh_log_paths/0"},{"type":"function","title":"Log.Reset.reset_logs/1","doc":"Resets the configured log files of the given `levels`.","ref":"Log.Reset.html#reset_logs/1"},{"type":"function","title":"Examples - Log.Reset.reset_logs/1","doc":"iex> alias Log.Reset\n    iex> # No logs reset as log paths not configured...\n    iex> Reset.reset_logs([:alert, :notice])\n    :ok","ref":"Log.Reset.html#reset_logs/1-examples"},{"type":"type","title":"Log.Reset.levels/0","doc":"Log levels","ref":"Log.Reset.html#t:levels/0"},{"type":"module","title":"Log.Reset.Log","doc":"","ref":"Log.Reset.Log.html"},{"type":"function","title":"Log.Reset.Log.error/2","doc":"","ref":"Log.Reset.Log.html#error/2"},{"type":"function","title":"Log.Reset.Log.info/2","doc":"","ref":"Log.Reset.Log.html#info/2"},{"type":"module","title":"Log.Reset.LogPaths","doc":"A map of configured log paths and functions.","ref":"Log.Reset.LogPaths.html"},{"type":"function","title":"Log.Reset.LogPaths.new/0","doc":"Creates a map assigning each configured log path to its log level.","ref":"Log.Reset.LogPaths.html#new/0"},{"type":"function","title":"Log.Reset.LogPaths.reset_logs/2","doc":"Resets the configured log files of the given `levels`.","ref":"Log.Reset.LogPaths.html#reset_logs/2"},{"type":"function","title":"Examples - Log.Reset.LogPaths.reset_logs/2","doc":"iex> alias Log.Reset.LogPaths\n    # The parent app may not configure any file handlers...\n    iex> LogPaths.reset_logs([], :all)\n    :ok\n\n    iex> alias Log.Reset.LogPaths\n    iex> LogPaths.reset_logs([], [:info, :error])\n    :ok","ref":"Log.Reset.LogPaths.html#reset_logs/2-examples"},{"type":"type","title":"Log.Reset.LogPaths.t/0","doc":"A map assigning configured log paths to their log levels","ref":"Log.Reset.LogPaths.html#t:t/0"},{"type":"module","title":"Log.Reset.LogPaths.Server","doc":"A server process that holds a map of configured log paths as its state.","ref":"Log.Reset.LogPaths.Server.html"},{"type":"function","title":"Log.Reset.LogPaths.Server.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Log.Reset.LogPaths.Server.html#child_spec/1"},{"type":"function","title":"Log.Reset.LogPaths.Server.init/1","doc":"","ref":"Log.Reset.LogPaths.Server.html#init/1"},{"type":"function","title":"Log.Reset.LogPaths.Server.start_link/1","doc":"Spawns a \"log paths\" server process registered under the module name.","ref":"Log.Reset.LogPaths.Server.html#start_link/1"},{"type":"module","title":"Log.Reset.TopSup","doc":"","ref":"Log.Reset.TopSup.html"},{"type":"function","title":"Log.Reset.TopSup.start/2","doc":"","ref":"Log.Reset.TopSup.html#start/2"}],"content_type":"text/markdown"}